P4_CHECK_DEPRECATED(3)

NAME
p4_check_deprecated - (CHECK-DEPRECATED) ( nfa* -- nfa* )

SYNOPSIS

#include <pfe/header-ext.h>

FCode p4_check_deprecated(---);

DESCRIPTION

an internal function that will check a word name to have any deprecation attribution - some words have a (one time) message to be shown to the user, while OBSOLETED-SYNONYM will show a message and rebuild itself as a normal SYNONYM. - Note that most deprecations are only shown once and that they are not emitted when having REDEFINED-MSG OFF.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>